<mat-grid-list cols="1" *ngIf="!curso; else divExist">
  <mat-grid-tile>
    <mat-spinner class="mt-neg-100"></mat-spinner>
  </mat-grid-tile>
</mat-grid-list>

<ng-template #divExist>
  <div class="grid p-2">
    <div class="col-12 sm:col-6">
      <h1>{{curso.nombre}}</h1>
      <mat-divider></mat-divider>
      <br>
      <img [src]="curso.imagen" alt="">
    </div>
    <div class="col-12 sm:col-6">
      <h1>Categoría: {{curso.categoria}}</h1>
      <mat-divider></mat-divider>
      <br>
      <p><span style="font-weight: bold">Precio:</span> {{curso.precio | currency}}</p>
      <p><span style="font-weight: bold">Cursado:</span> {{curso.cantHoras}} horas</p>
      <p><span style="font-weight: bold">Descripción:</span></p>
      <p class="descripcion">{{curso.descripcion}}</p>
      <br>
      <button mat-button color="primary"
              (click)="volver()">
        <i class="material-icons">arrow_back_ios_new</i>
        Volver
      </button>
    </div>
  </div>
</ng-template>

